package com.atmob.voiceai.data.api.request;

import com.atmob.user.param.AtmobParams;
import com.atmob.voiceai.BuildConfig;

import java.lang.reflect.Field;

public class BaseRequest extends AtmobParams {


    public BaseRequest() {
        if (BuildConfig.DEBUG) {
            try {
                Field androidId = AtmobParams.class.getDeclaredField("androidId");
                androidId.setAccessible(true);
                androidId.set(this, "6713123wdq22e1232");
            } catch (NoSuchFieldException e) {

            } catch (IllegalAccessException e) {

            }
        }

    }
}
